Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface SQLQuery.ReturnProperty

Enclosing interface:
  SQLQuery

    public static interface SQLQuery.ReturnProperty

Allows access to further control how properties within a root or join fetch are mapped back from the result set. Generally used in composite value scenarios.

Method Summary
`SQLQuery.ReturnProperty` | `addColumnAlias(String columnAlias)` Add a column alias to this property mapping.

Method Detail

### addColumnAlias

    SQLQuery.ReturnProperty addColumnAlias(String columnAlias)

  Add a column alias to this property mapping.

  Parameters:
    `columnAlias` - The column alias.
  Returns:
    `this`, for method chaining

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.